# Generated from rack-http-pipe-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rack-http-pipe

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Stripe remote HTTP resource to server client
License: BSD
URL: http://github.com/Scalingo/rack-http-pipe
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
# Rack HTTP Pipe
Use to pipe directly a remote HTTP file without buffering it.
> /!\ Do not work with WebBrick, tested with puma
## Use case
* Given a file named #HASH#.pdf on S3
* You want a clean URL and handling the authentication in front of it
```
GET http:/example.com/download
Content-Disposition: attachment;filename=name-fetched-from-db.pdf
Content-Length
Content-Type
etc.
```
## Usage
```ruby
get "/" do
http_pipe "http://example.com/iso-ubuntu-1404-64bits", {
status: 200,
headers: {
"Content-Type: application/octet-stream",
"Content-Disposition: attachment;filename=ubuntu.iso",
}
}
end
```
See the example directory for an example app using sinatra.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/example
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.1-1
- Initial package
